## org.eclipse.emf.exporter
Class ModelExporter.ExportData

    java.lang.Object
      org.eclipse.emf.exporter.ModelExporter.ExportData

Enclosing class:
  ModelExporter

    public static class ModelExporter.ExportData

extends java.lang.Object

Field Summary
`java.util.Map<GenPackage,URI>` `genPackageToArtifactURI`
`java.util.Map<GenPackage,java.util.List<GenPackage>>` `genPackageToReferencedGenPackages`
`java.util.Map<GenPackage,URI>` `referencedGenPackagesToArtifactURI`

Constructor Summary
`ModelExporter.ExportData()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### genPackageToArtifactURI

    public java.util.Map<GenPackage,URI> genPackageToArtifactURI

### genPackageToReferencedGenPackages

    public java.util.Map<GenPackage,java.util.List<GenPackage>> genPackageToReferencedGenPackages

### referencedGenPackagesToArtifactURI

    public java.util.Map<GenPackage,URI> referencedGenPackagesToArtifactURI

Constructor Detail

### ModelExporter.ExportData

    public ModelExporter.ExportData()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.